Contacts
Get contact
Retrieve a contact by ID or email address. Provide exactly one of id or email. Requires contacts:read scope.
Authorization
bearerAuth AuthorizationBearer <token>
Bearer token authentication. Use a Regular API key for email sending, or an Admin API key for marketing and automation endpoints.
Get your API keys from Settings → API Keys (regular) or Settings → Admin API Keys (admin) in the dashboard.
In: header
Query Parameters
id?string
Contact ID (provide either this or email).
Format
uuidemail?string
Contact email (provide either this or id).
Format
emailResponse Body
application/json
application/json
curl -X GET "https://api.keplars.com/api/v1/public/contacts/get-contact"{
"success": true,
"message": "Success",
"data": {
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"email": "[email protected]",
"first_name": "string",
"last_name": "string",
"phone": "string",
"status": "subscribed",
"tags": [
"string"
],
"custom_fields": {},
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
}
}{
"success": false,
"error": "VALIDATION_ERROR",
"message": "Field 'to' is required"
}